<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:b="http://bootsfaces.net/ui" 
	xmlns:p="http://primefaces.org/ui">

<ui:composition template="master2.xhtml">
	<ui:define name="title">Home | AL-Geek</ui:define>
	<ui:define name="CSS">
		<link type="text/css" rel="stylesheet" href="CSS/home.css" />
	</ui:define>
	<ui:define name="content">
		<h:form>

			<h2>Nouveautés</h2>

			<div class="homeProduitsContainer">

				<div class="homeProduits">
					<ui:repeat value="#{homeBean.nouveautes}" var="p">
						<div class="carteProduit">
							<h:commandLink class="clink"
								action="#{ficheProduitBean.afficherProduit(p.id)}">
								<div class="titreProduit">
									<span><h:outputText value="#{p.nom}" /></span>
								</div>

								<div class="photoProduit">
									<div class="conteneurImage">
										<h:graphicImage value="IMG/#{p.photo}" />
									</div>
								</div>
							</h:commandLink>

							<div class="footerCarteProduit">
								<div class="divPrix">
									<label class="prix">#{p.prix} <h:outputText value="€"
											rendered="#{p != null}" /></label>
								</div>
							</div>
						</div>
					</ui:repeat>
				</div>

				<div class="leftGradient"></div>
				<div class="rightGradient"></div>

			</div>

			<h2>Meilleures ventes</h2>

			<div class="homeProduitsContainer">

				<div class="homeProduits">
					<ui:repeat value="#{homeBean.meilleuresVentes}" var="p">
						<div class="carteProduit">
							<h:commandLink class="clink"
								action="#{ficheProduitBean.afficherProduit(p.id)}">
								<div class="titreProduit">
									<span><h:outputText value="#{p.nom}" /></span>
								</div>

								<div class="photoProduit">
									<div class="conteneurImage">
										<h:graphicImage value="IMG/#{p.photo}" />
									</div>
								</div>
							</h:commandLink>

							<div class="footerCarteProduit">
								<div class="divPrix">
									<label class="prix">#{p.prix} <h:outputText value="€"
											rendered="#{p != null}" /></label>
								</div>
							</div>
						</div>
					</ui:repeat>
				</div>

				<div class="leftGradient"></div>
				<div class="rightGradient"></div>

			</div>	
			
		</h:form>

	</ui:define>
</ui:composition>
</html>
